```
# Passthrough Harddisks to Proxmox VM's  

1. In Proxmox terminal install `lshw`:
apt-get update && apt-get install -y lshw

2. Look and copy harddisk `product`:
lshw -class disk -class storage

3. Get the full id with, replace `{{product id you copied}}` with the product id you copied from last command:
ls -l /dev/disk/by-id/ | grep {{product id you copied}}

4. Add it to your VM:
qm set {{VM ID}} -scsi2 /dev/disk/by-id/{{Full ID copied from last command}}

`-scsi2` this is assuming VM only has 1 Harddisks
If you are adding multiple Harddisks `-scsi2` should always increase +1.

EG:
First Disk:
qm set {{VM ID}} -scsi2 /dev/disk/by-id/{{Full ID copied from last command}}

Second Disk:
qm set {{VM ID}} -scsi3 /dev/disk/by-id/{{Full ID copied from last command}}

Third Disk:
qm set {{VM ID}} -scsi4 /dev/disk/by-id/{{Full ID copied from last command}}
```